# Copyright (c) 2012 Red Hat, Inc.
#
# This software is licensed to you under the GNU General Public License,
# version 2 (GPLv2). There is NO WARRANTY for this software, express or
# implied, including the implied warranties of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
# along with this software; if not, see
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
#
# Red Hat trademarks are not licensed under GPLv2. No permission is
# granted to use or replicate Red Hat trademarks that are incorporated
# in this software or its documentation.
#

# A product cert from Candlepin's test data (product ID 100000000000002):
PRODUCT_CERT_V1_0 = """
-----BEGIN CERTIFICATE-----
MIIDeDCCAuGgAwIBAgIECgf/jTANBgkqhkiG9w0BAQUFADAzMRIwEAYDVQQDDAls
b2NhbGhvc3QxCzAJBgNVBAYTAlVTMRAwDgYDVQQHDAdSYWxlaWdoMB4XDTExMDgy
MzE3NDEzOVoXDTIxMDgyMzE3NDEzOVowGjEYMBYGA1UEAxMPMTAwMDAwMDAwMDAw
MDAyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAkbvsjJXu+vRzbBa+
G9S77gbQTtSbZXWncykJkinwqQkUl2jEnGN+BBYa30dfLFatkA6UP4XICIu+xVMw
qXc2O82BBubYvBTcqJy62U1YQnJFz/upSF0b9mKhcwJv2sAqMfkviGTYpjuCTfw6
VVSFUvIj+K16vRzZWgn+qTIUIt8yXipuz7E/4t+R2BG/9GCqjQq7LQb4y0FmWdGT
OehTjEY+G4+evsjyom5hXLgXlMhd3vkb7gHOyc3Yuk9h9eqGKg0oCiaF88KafMcu
hCp0mIC7W97jE2tHTWzfERw99j+uPjccBUljqVpNfW6S/iKDx0tkzv0pOnSxYYmd
HF5rbQIDAQABo4IBLDCCASgwEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQEAwIE
sDBjBgNVHSMEXDBagBQckL9Tc4HS6Df/ppG4uN7zSUsnD6E3pDUwMzESMBAGA1UE
AwwJbG9jYWxob3N0MQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJAPrR
0C/V93lLMB0GA1UdDgQWBBQPunbOh02rAFia+TmNDHCa05vI/DATBgNVHSUEDDAK
BggrBgEFBQcDAjAxBhErBgEEAZIICQGW3rGD6YACAQQcDBpBd2Vzb21lIE9TIGZv
ciB4ODZfNjQgQml0czAdBhErBgEEAZIICQGW3rGD6YACAwQIDAZ4ODZfNjQwGwYR
KwYBBAGSCAkBlt6xg+mAAgIEBgwEMy4xMTANBgkqhkiG9w0BAQUFAAOBgQARCW1E
d/w1WYaQElsYAN9/EyDXyXq4GJfTFES8eg09nUKYrMACds2wdh8m8vV7NtHl8E0y
wE//vrTlHGSD5m4/mcXsgpkHvbj/kOTP7aag7RPa51M8ocjtOplugUyIF0PsXO4B
SOxSnd1U0dX6pzEwMaJD9lCW8xZ2jsmdLUtLzQ==
-----END CERTIFICATE-----
"""

# A product cert from Candlepin's test data (product ID 100000000000003):
PRODUCT_CERT_V1_1 = """
-----BEGIN CERTIFICATE-----
MIIEKjCCAxKgAwIBAgIECgf/jDANBgkqhkiG9w0BAQsFADA/MR4wHAYDVQQDDBVj
YW5kbGVwaW4uZXhhbXBsZS5jb20xCzAJBgNVBAYTAlVTMRAwDgYDVQQHDAdSYWxl
aWdoMB4XDTE4MDYxMTA4MDIxMloXDTI4MDYxMTA4MDIxMlowGjEYMBYGA1UEAwwP
MTAwMDAwMDAwMDAwMDAzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
7z0SX9qOBHbKiqVLA4oOGUTsLYhuW7rQ6Jn1BS9WGuOsFUxqGvpePBsIiojUGiee
vyU+k8uPoq9sP9mXBylDys8tmsE0VomMVrPJg88YIj55jh/+pSAaEH/o6zl5UGI1
ocVTkkdRqQXX3NV603fs1i7+8JIOjWukitLiT0DoABPoDkpnBU4jN5KuntqL0fEP
BcZfVCFTr4jxnzGy3y30FCqXCw9OAUwuD1SjKbqJuw+4CqXKA7LXMKYOLM9+65dP
ehiD0QO+fdsHYJMGdp7nzT+kCpjJmDAE9r1TCLUvwN0E8a8yXgnn3hgLmdissixs
KwIpvC1Eeb2qhW3u/FX4TQIDAQABo4IBUTCCAU0wEQYJYIZIAYb4QgEBBAQDAgWg
MAsGA1UdDwQEAwIEsDBvBgNVHSMEaDBmgBSGw4l0+sOBbopAKLMx7kzJO6SUsaFD
pEEwPzEeMBwGA1UEAwwVY2FuZGxlcGluLmV4YW1wbGUuY29tMQswCQYDVQQGEwJV
UzEQMA4GA1UEBwwHUmFsZWlnaIIJANog++eoAPBoMB0GA1UdDgQWBBSQtij4tirX
dMF0QnOXMMqIwj+niTATBgNVHSUEDDAKBggrBgEFBQcDAjAwBhErBgEEAZIICQGW
3rGD6YADAQQbDBlBd2Vzb21lIE9TIGZvciBwcGM2NCBCaXRzMBwGESsGAQQBkggJ
AZbesYPpgAMDBAcMBXBwYzY0MBsGESsGAQQBkggJAZbesYPpgAMCBAYMBDMuMTEw
GQYRKwYBBAGSCAkBlt6xg+mAAwUEBAwCT1MwDQYJKoZIhvcNAQELBQADggEBAKb0
liguLtLG2UMU1lmm42IHmN4N84npVtxZ8iehJsTJD5skBgt2YZLLpQT4omHOYvZa
IOgKDCG9NVSEoJ9tnyn4ePfwHgCBGytZNHvSKdzU6Y1zTwZhIRrLv/tl3sCo/Wy3
oyjKgNGN7TPV5p73U5WyqTbBMaHahnPKAfFlBDBIUDnb5K0KDwtvXZrc3uFjhMZU
krk2EkwexNioy1cQTXZw30IZ0C81P7VzTUTbbrQJk7onB13fV6H68grPHXfqINRA
H0Zi+TSJL7mdrS01Zj+htynoFUHjyhcbilVblWJ3S8fhTX+wIh8rq/VLzg0q9AGm
2Kdjoh5NtL6acKyKQi0=
-----END CERTIFICATE-----
"""

# Test entitlement to the product cert above:
ENTITLEMENT_CERT_V1_0 = """
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
"""

ENTITLEMENT_CERT_V3_0 = """
-----BEGIN CERTIFICATE-----
MIIDjzCCAvigAwIBAgIIEiB+vHfSYuwwDQYJKoZIhvcNAQEFBQAwMDEPMA0GA1UE
AwwGcGlwYm95MQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMjA5
MTgwMDAwMDBaFw0xMzA5MTgwMDAwMDBaMCsxKTAnBgNVBAMTIGZmODA4MDgxMzlk
OWUyNmMwMTM5ZGEyMzQ4OWEwMDY2MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
CgKCAQEAgDfkG4OZAfxAGKPjNrhrqBJbGbB0r7CmFRnFPcnwdQQVxx6gxyH5ia5/
VoNmQRsFlWJJsl2W64IJq8xe2PeF8nhqOh3bg8Q5lPkSqHHb/9G370quRj0Ig+FX
up3eDUfiF+BpKkTHlelpPOhG6aeZzvwuLcF9+5SSqJTtuyMv759Kneybijm/Gv7x
t8EZkaUydoZhjgkN7fQAhAEW9L6y0+fudL4nBXnm7CW7k3/JSA7V73Ae1u6L/3+k
W+FDGGqKa0NR+sYOroCarMsqVd29uRabSO4rxzmYZ5W0RE0f1cUfYFM0aDwaU1+l
bVnNelesXnhjJ219BWcVdZhS+X84VwIDAQABo4IBMTCCAS0wEQYJYIZIAYb4QgEB
BAQDAgWgMAsGA1UdDwQEAwIEsDBgBgNVHSMEWTBXgBThiP6NmxGeYgJ5XWPC2dy0
EoDcVKE0pDIwMDEPMA0GA1UEAwwGcGlwYm95MQswCQYDVQQGEwJVUzEQMA4GA1UE
BwwHUmFsZWlnaIIJAN6RU5TAoOZ5MB0GA1UdDgQWBBTqqQFQLeZGIrYGXQSYxfw8
zNaXqzATBgNVHSUEDDAKBggrBgEFBQcDAjASBgkrBgEEAZIICQYEBQwDMy4wMGEG
CSsGAQQBkggJBwRUBFJ42hXKwQmAMBAEwC0mJUiwG1llJY/ohbtgtHv1O8w95yVP
6IZTlxy7GVgHn0BaGaJvBY29ILmqPvkXh8IOWeAFpiEVtwrrTkxmoYKDgtHpgfcA
MA0GCSqGSIb3DQEBBQUAA4GBAF0jikJbd1C0PqhpRkmRGaNnAPO4kCSH+nTee1UF
xSYERpmDHnimDWYjcs35gb1wWwSOLVsTn4X+3TQqMQ1rdnEX5mn7iutqCjj5Rjzk
icfe5PF7mmnMv6FeKlFEg3WGkIkatI1tF13spHowM8GFZvAcMGVzFkvL6QtzyNKa
t6+/
-----END CERTIFICATE-----
-----BEGIN ENTITLEMENT DATA-----
eJydUl1vmzAU/SvI6iMMG1NCeNue9jZp29OmKvIXKQrYzDZNo6j/fdeQ0kT5aFU+
hM25595z7vUeCaPd0CmLKsSZpJLldUJzLpOcLklS3tc8KReiXt4XC8o5RTH6NzDt
G79DVRYjN3AnbNP7xmhU7ZHbDJCJbZUznTIueS6LVZEDS7NOAfJ1QqIfv6La2GiG
t8zqRq9RRTEkNWKjvEMVgbVnYgPIqpFAJ+glRsbKoHeP9NDxUXldlxhuQpdymfMc
42klMCnhHQu8qSZ4zGo9EDNMsgQvE1L+xrganz8QrLScQHoBhI55y0SgFwvYMyHM
oMOWZJQSQuEz6uytkYMIPv7u0SQfH1/ZO22JvjVAjtGTsm5sL6JfCAkVrXhsvBJ+
sCpkR4c2PkziVBAzl4R4v+tDkd3QvVVk7ZbtXKI0462SySsvRi3jqr0V8ATdMaHr
XjmfHHbglvlH+JnWxqRhnU4J0jurWsWcAhcQte7Xq8G2lwIBgoBOeSaZZyv13DcW
lGYYv8SvZgjJ8muGzs/cbOUcmk38VDL6zvyRgVGTN+nMSmfWoRmoqlnr1ImbcxaA
6SVDtDhyhK+40aFfN6ZzDf/ocPRhHjccncZeG09xOh5C3xvPpbl8bCB3HI5ROPvH
Zyo9TvL5eTzA/R9AE5nG
-----END ENTITLEMENT DATA-----
-----BEGIN RSA SIGNATURE-----
FWYaGqnaDRpuaKLEXu9RtxNLbp3q7BM651s1P1jwlE/Ff1GMZrzsreBfRa4FE6ST
jdWIkOEVpZPEHtdnHlpQaphYDOQBfdSGrOb2ksKqfp0qKrqT4dvzau5IzqtVmkTJ
SgW0kgf/C5sFxdgD6s9NKmP/u6OgI/qqE+KfnCex/ko=
-----END RSA SIGNATURE-----
"""

ENTITLEMENT_CERT_V3_2 = """
-----BEGIN CERTIFICATE-----
MIIDtTCCAx6gAwIBAgIIV9sJOhe2u10wDQYJKoZIhvcNAQEFBQAwQzEiMCAGA1UE
AwwZYXJraGFtLnVzZXJzeXMucmVkaGF0LmNvbTELMAkGA1UEBhMCVVMxEDAOBgNV
BAcMB1JhbGVpZ2gwHhcNMTMwMjE0MDAwMDAwWhcNMTQwMjE0MDAwMDAwWjArMSkw
JwYDVQQDEyA4YThkMDFmNTNjZWVkM2FmMDEzY2VlZDQ4ZDIzMDAzYzCCASIwDQYJ
KoZIhvcNAQEBBQADggEPADCCAQoCggEBAIzSGrfBi8FZ6G4mRRtXGB3QJFXrg/Ni
Q7+7RxCJ9iMlH7XNceUyIAkJ1R3dNXLxjGrMW1Oe5uZwFrwsOnVrCC0FGXqGVRL1
afXWqcKfRwfCIYjlKVuufD5Yx4uQL+qCyqwZLvW+uSfxrFR6h6EGly8FEuAj4HFV
bosBZkD3U763olTGRThq1TNXDtP5azExjet83SHG77xfkYqKQ72d1/2zVs8HrTHN
QrDAnmaDkMu1j0DBLMEoRuHHTnWosMa3h/pDZl0U9J2fD2EGsqM1d0S7cgn4qkG3
PyIfaIMTyv3hxqGvZNP6N0yc4DMQytuqonocE3vW1jA4eJLNUakXVSkCAwEAAaOC
AUQwggFAMBEGCWCGSAGG+EIBAQQEAwIFoDALBgNVHQ8EBAMCBLAwcwYDVR0jBGww
aoAUNqBl9Y1c0laNj+4nS/ds3IYTlnOhR6RFMEMxIjAgBgNVBAMMGWFya2hhbS51
c2Vyc3lzLnJlZGhhdC5jb20xCzAJBgNVBAYTAlVTMRAwDgYDVQQHDAdSYWxlaWdo
ggkAmKoF4QTK9QYwHQYDVR0OBBYEFEQE1wfCnyRQkK87AIDtELjHI22RMBMGA1Ud
JQQMMAoGCCsGAQUFBwMCMBIGCSsGAQQBkggJBgQFDAMzLjIwYQYJKwYBBAGSCAkH
BFQEUnjaFcrBCYAwEATALSYlSLAbWWUlj+iFu2C0e/U7zD3nJU/ohlOXHLsZWAef
QFoZom8Fjb0guao++ReHwg5Z4AWmIRW3CuqQvHBGK2ufmB6KGAAwDQYJKoZIhvcN
AQEFBQADgYEAsSQHCtJeEqXGEMoug4T95mOPNqqs30gRG/159E1fklNs3Ao1G+WH
/W/WrOAR8tyPDboWhhCJ3h8q7vEZgmq9Y6bO2HYu+PXrDqzgWYhOgytZnlvTsp3O
cCwL0kVRZWaSVAPcaM9HUqFcPthidsVPP0gw3iws7XhFhYVaILIPSZ0=
-----END CERTIFICATE-----
-----BEGIN ENTITLEMENT DATA-----
eJydVMuOmzAU/ZXImiUUGxOSsGtX3VVqu2o1iox9mUEBm9pmMlGUf+81ZGiiPGZU
hATm3Mc599jsiTTa9S1YUhCp0pzmGY8X+TKLM6hEXDJF41ykq/mCV2KxyklE/vRC
+9rvSMEi4vrSSVt3vjaaFHviNj1WEltwpgXj4tdlvs4zzNKiBUQ+j8js249ZZexs
grfC6lo/kYJTLGrkBrwbG3ghN4isa4XpjBwiYqwKfPdE9205MB++xMt8Med0dU6R
DiWsx6iUMh7TNGbZT0qL4f6FwaDVCGZXQByPt0KG9HyBayGl6XVYspRzxjg+BlKd
NaqXgfTvPRm50tMrfWcGsy81JkfkBawbZkn4J8ZCRyufaw/S9xZCdXKc2eNIDgKZ
qSXG+10Xmuz69l9H0WzFzsWgRdmAit/yItKIEpp7AS84HRNG7MH5+LhCtcI/48ek
MiYJ78lYIHmw0IBwgCow6ql7Wve2uRaIEAa04IUSXqzhtastMk0pPURvYhhLs1uC
LjfYJOUSmkR8BzX7KvyJgIGTN8mUlUxZx2GQohKNgzM1l1kIJtcE8fxEEb2hRod5
3XHnFv5Rc/TRjzuKzmNv2ZOf28P4e/Zc8+VjhjyUuI3C3j/dU8lpkf/34/GAh6cz
pgk/kUHMUiwVZdWcSyVWSlH8U4Q3UHM8xdliTg6Hvy+doq0=
-----END ENTITLEMENT DATA-----
-----BEGIN RSA SIGNATURE-----
sO2ZOqXX5Vz0v41cWwd24emxZkmo+kHjYPvZ7W3UGW1bIUrPPOfNNlv+k9eybPWh
9kULCZHdj9ULg9FXAKnQCG412vc2jWld0/vcOTuPdr8sUpEsGF5jeWNzqTiF3Yxb
Ik5dd1fP0nqF9cgWitFmsdG9olZ17jU1jg3uMj+ujyg=
-----END RSA SIGNATURE-----
"""

ENTITLEMENT_CERT_V3_2_WITH_CONTENT_ARCH = """
-----BEGIN CERTIFICATE-----
MIIDpDCCAw2gAwIBAgIIGDqZvvF1e2kwDQYJKoZIhvcNAQEFBQAwQzEiMCAGA1UE
AwwZZGhjcDIzMS0yOC5yZHUucmVkaGF0LmNvbTELMAkGA1UEBhMCVVMxEDAOBgNV
BAcMB1JhbGVpZ2gwHhcNMTMwNTA4MDAwMDAwWhcNMTQwNTA4MDAwMDAwWjArMSkw
JwYDVQQDEyA4YThiNjc5YzNlODRkODQ5MDEzZTg0ZGViYjUyMTUwMjCCASIwDQYJ
KoZIhvcNAQEBBQADggEPADCCAQoCggEBAJ4Fg6UL7AIch/3riQTxvSFh/6AUZmFR
OQ+Pz270AF8JC9Vrc/nRA/EQB1CUoRn2hgJjJulkMgZ1rVOTBnq9KQomPhOOwbMJ
fWwrdkfvZnUFVT/hXzYhu+7NVIzX6MAovvJc6iYrfctPFVJj7TmWVR2Ay/Dyio0f
B4ZTang7GDePbNhuHD6PSUZ/3fINJUEkYOW9DyEDFPTZ+LiMbJGV/ZoR6Ww6myAG
BnIE5M2oiQZlD44/XhbD3VDXOv3HFvxdr366EVBm+LFpOBWPHXW0wSYPcEopWlqB
sH3QJqSWYVsLP+MC2rreVpTKB80i9/pvbyYX6nRRKnZPCONv+0JemL8CAwEAAaOC
ATMwggEvMBEGCWCGSAGG+EIBAQQEAwIFoDALBgNVHQ8EBAMCBLAwcwYDVR0jBGww
aoAUSlRGfcR6m6MjZo741DCPph6ow5ehR6RFMEMxIjAgBgNVBAMMGWRoY3AyMzEt
MjgucmR1LnJlZGhhdC5jb20xCzAJBgNVBAYTAlVTMRAwDgYDVQQHDAdSYWxlaWdo
ggkA0xVWC8yXifgwHQYDVR0OBBYEFP8CFn4AqepLndT/X68rOESBHQTtMBMGA1Ud
JQQMMAoGCCsGAQUFBwMCMBIGCSsGAQQBkggJBgQFDAMzLjIwUAYJKwYBBAGSCAkH
BEMEQXjaK8lnyEstSy1iSMvPZ1ApSs1JTSwG8xNzyhMrixkSy1OL83NT84GsnByG
gsSSDAYA1JYR5Aim7nCyJxRoevAAMA0GCSqGSIb3DQEBBQUAA4GBAI1jfsg9ODpZ
exsNA1d0OZbUn/1sK4LUtP/eFD0YQl3dv9A0/wRnoDXXFlJLsGt5EzY8qK7iOzti
K4bLngHfsWDJTOm95FvRRucUu5pAJnuzC/c9fGro+VsqlnNDpU+40bxlY4ODZj5g
FZ6RLuYKmu5IXLONxIrAVBMAckIA4vrS
-----END CERTIFICATE-----
-----BEGIN ENTITLEMENT DATA-----
eJyNk02PmzAQhv8KsnpoJVw+TPi6paceVqrU9tRqFRkzZFGMTY3Z3SjKf++YkOxm
m2wjEYE978y8zzjeEaHVMHZgSElYLKI8boA2abigSVQsaJHFGa2aeJEIkRQs48Qn
f0aubGu3pIx8MozVIEzb21YrUu7IsBmxEn+CQXegB8qlpM95SrGNxVzFO8D48hD3
vv3wGm28pZTe0ogH7yNKnRKU/YTqJ25Uq9akZCF20mIDdjh0tVxsMLJqa6wWkb1P
tKkdxI6osasmnGmH5mm2YGFx5nsxVTAWRXEYMYq0Yf4zDMvp+YVaUPUhmFwIOoeG
C5depLjmQuhRuWUUMxZFDF+Tp97oehTO8+8dmazGEUsw6n7ZbePwjvPwvrRYySeP
YIZp2IR9jiLXHqWtBWFHA64VWd7dkfuDTXC2js2d2G5713E7di/tuXzi24GC4pWE
mh7zfCJ5BfI9wSPOSbtZWxgsnVfIze0DbgaN1oH7Dg4Fgg8GJPABEGH2fWZ43a9X
o5GXMjGEGR1YXnPLV/Dctwatx2G492e68Aqdcu3egbsWv5VNzThzBVI2XA5wI96U
fI0ufUXH8jRNrp3f6bbh/2WVJrRl8417c4z/0Z2Iv0PtfeX2Fe1k1urgVAIPRp6d
oauFG4fKb3D/zcZgcAmZOeb7Pab3Wkt3nSf6nOdVmhWCQZ7UeVLgpXVfRSESEWYh
kP3+L1Ysgb8=
-----END ENTITLEMENT DATA-----
-----BEGIN RSA SIGNATURE-----
Ra24dHnR8vRvtRg4j0DXbftz3DX1c+Cf1yhgKBoLeS6aJ9g2HUJXoDLbLR+6ttHB
idE9jFhxTj/sNUvewMCKJIE1+El6tcfHmQRAZTiI4Dgqq50buHVmXmTNhotmaMsp
vVOVtdoqHYcPIZ3makIL9FO9/jLs+G5NH4dCJVrpj8o=
-----END RSA SIGNATURE-----
"""

IDENTITY_CERT = """
-----BEGIN CERTIFICATE-----
MIIDdzCCAuCgAwIBAgIIBdnhr/WCKpMwDQYJKoZIhvcNAQEFBQAwTDErMCkGA1UE
Awwid3BvdGVhdC1kZXNrdG9wLnVzZXJzeXMucmVkaGF0LmNvbTELMAkGA1UEBhMC
VVMxEDAOBgNVBAcMB1JhbGVpZ2gwHhcNMTQwNTA4MTMwNDA0WhcNMzAwNTA4MTMw
NDA0WjAvMS0wKwYDVQQDEyQwZjVkNDYxNy1kOTEzLTRhMGYtYmU2MS1kOGE5Yzg4
ZTE0NzYwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCHsIAMwqDBji/k
SMy0BgkrWscYYwy/3vhaU8oEmhFBRMFwy8gzByKcKTTMB642cDhFa+anBbNm4+QS
OKpfKf8JDj8GKnBspQF3qWxxi1vJGo6iTD/znPQRAlB//furFNmEDaDbhMUtcHEK
UvjALioR5V3flfMU3hPCYdaAcVvYu8ikI6N52abPlFWCkzbp6EGehISyVZxrlqac
QOCIPmnUnMVZ1pxYjOTrEhqjvjHMlUuEAmeKlLXKtirgs+X2yfulMJFYXUDeeO20
AB9CRp/wg3zoGcSzwtriO8GuRSuAmXO0O4HzcpXU7oXJGYBjrTy/B8rukuZbep+t
Y3+FQmr1AgMBAAGjgfowgfcwEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQEAwIE
sDB8BgNVHSMEdTBzgBTPYX+LWg9Ed3S0lIZtc4PuYrbv5qFQpE4wTDErMCkGA1UE
Awwid3BvdGVhdC1kZXNrdG9wLnVzZXJzeXMucmVkaGF0LmNvbTELMAkGA1UEBhMC
VVMxEDAOBgNVBAcMB1JhbGVpZ2iCCQCQJzUqJvMgMjAdBgNVHQ4EFgQU4yyaMLWq
Mc3ch8CwTPRHZrhHFCQwEwYDVR0lBAwwCgYIKwYBBQUHAwIwIwYDVR0RBBwwGoYY
Q049cmVkaGF0LmxvY2FsLnJtLXJmLmNhMA0GCSqGSIb3DQEBBQUAA4GBAEso9d/F
xZsoPA4OgfEcTad/5CorTswNTqpmwlkQ6Yp61h8L7BDWJ6ywovqXJQqo6lYK3149
9+EC6nhTA9uhtODtQQgITkU6nwlYRkB0vrbofR7yO7eewlJ+ybhcVw1FllXfc4E9
7SS6c7YbmlfQhcoGyzfYXuJYGCyDmDHvcQiU
-----END CERTIFICATE-----
"""

ASN1_GENERALIZEDTIME_CERT = """
-----BEGIN CERTIFICATE-----
MIIC/TCCAeWgAwIBAgIJAPd8QvAqguI9MA0GCSqGSIb3DQEBCwUAMBQxEjAQBgNV
BAMMCWxvY2FsaG9zdDAgFw0xNjAzMDQxNDU3NDZaGA8yMTE2MDIwOTE0NTc0Nlow
FDESMBAGA1UEAwwJbG9jYWxob3N0MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
CgKCAQEAsyy/9CI++wVV22U3xor0Hi1nUUusa8Or/a/ppTpgAH0UREcvKrfSCQU0
cCPbYg2M3Jn+tQlcs3eAfUFnyz4XCDlMnns8iKse6kkzQQpx+budUwAamP21bHa6
8dMwDFT3+z9LxDstqdbsvW+KzQwyuYCsWnp6l2KRNy1P4wt7gVvnm5+GCGRMo89L
yWJ6iz21XZt6wsafPArKclxVzkzW6Li7JvMaJWyJstSlDaGMlAORUbbO78/VYVYD
idhqtgN+s1rnHZEMKU0io2pTkVTYVVU6hkGvx7OxChVd8ZYQdptYu1jqB4DS9Ima
tNLZZMnBh9aAwZAEWLku8N1EV/pfyQIDAQABo1AwTjAdBgNVHQ4EFgQUWc4wUp+0
e1cC0gY3DCtCx1ECCgswHwYDVR0jBBgwFoAUWc4wUp+0e1cC0gY3DCtCx1ECCgsw
DAYDVR0TBAUwAwEB/zANBgkqhkiG9w0BAQsFAAOCAQEABmFTO2Q+6VqzQ3Td4Xp4
TwJ25WJWf/n5E/sY96Z4iG5ABzPEo4jzsx6DQzcxQ445nu62/OHtmF8y8abZWk0/
KTmTMEl0+z9ab48zHIjp7WkXcUGxHfbIApI8tmYXn/y1+zEtG5+bRXcAODce0pRL
CqWvlchiwLhlao0Pe8Gz1DV7feS/or9XojE8+sokSiuRFGIcwIzpYX/hja4Xtsmc
Z/PUfodHmpKW+c559cn9pnVjJjhjXpKqDrgE2l9jtTwRVLQOGMxcISvfoNwu833z
OJJ1gyor9okGBpmackBUpwpWD7s6tBwkcMo2sJZGD/Kfv1ncYuRXqa6+tQaHxJRS
LA==
-----END CERTIFICATE-----
"""  # from https://gitlab.com/m2crypto/m2crypto/issues/103
